function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-h1-font-family);\n                ",
        ": var(--plasma-typo-h1-font-size);\n                ",
        ": var(--plasma-typo-h1-font-style);\n                ",
        ": var(--plasma-typo-h1-font-weight);\n                ",
        ": var(--plasma-typo-h1-bold-font-weight);\n                ",
        ": var(--plasma-typo-h1-medium-font-weight);\n                ",
        ": var(--plasma-typo-h1-letter-spacing);\n                ",
        ": var(--plasma-typo-h1-line-height);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-h2-font-family);\n                ",
        ": var(--plasma-typo-h2-font-size);\n                ",
        ": var(--plasma-typo-h2-font-style);\n                ",
        ": var(--plasma-typo-h2-font-weight);\n                ",
        ": var(--plasma-typo-h2-bold-font-weight);\n                ",
        ": var(--plasma-typo-h2-medium-font-weight);\n                ",
        ": var(--plasma-typo-h2-letter-spacing);\n                ",
        ": var(--plasma-typo-h2-line-height);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-h3-font-family);\n                ",
        ": var(--plasma-typo-h3-font-size);\n                ",
        ": var(--plasma-typo-h3-font-style);\n                ",
        ": var(--plasma-typo-h3-font-weight);\n                ",
        ": var(--plasma-typo-h3-bold-font-weight);\n                ",
        ": var(--plasma-typo-h3-medium-font-weight);\n                ",
        ": var(--plasma-typo-h3-letter-spacing);\n                ",
        ": var(--plasma-typo-h3-line-height);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-h4-font-family);\n                ",
        ": var(--plasma-typo-h4-font-size);\n                ",
        ": var(--plasma-typo-h4-font-style);\n                ",
        ": var(--plasma-typo-h4-font-weight);\n                ",
        ": var(--plasma-typo-h4-bold-font-weight);\n                ",
        ": var(--plasma-typo-h4-medium-font-weight);\n                ",
        ": var(--plasma-typo-h4-letter-spacing);\n                ",
        ": var(--plasma-typo-h4-line-height);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-h5-font-family);\n                ",
        ": var(--plasma-typo-h5-font-size);\n                ",
        ": var(--plasma-typo-h5-font-style);\n                ",
        ": var(--plasma-typo-h5-font-weight);\n                ",
        ": var(--plasma-typo-h5-bold-font-weight);\n                ",
        ": var(--plasma-typo-h5-medium-font-weight);\n                ",
        ": var(--plasma-typo-h5-letter-spacing);\n                ",
        ": var(--plasma-typo-h5-line-height);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, typographyTokens } from '@salutejs/plasma-new-hope/styled-components';
export var configH1 = {
    defaults: {
        size: 'h1'
    },
    variations: {
        size: {
            h1: css(_templateObject(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configH2 = {
    defaults: {
        size: 'h2'
    },
    variations: {
        size: {
            h2: css(_templateObject1(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configH3 = {
    defaults: {
        size: 'h3'
    },
    variations: {
        size: {
            h3: css(_templateObject2(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configH4 = {
    defaults: {
        size: 'h4'
    },
    variations: {
        size: {
            h4: css(_templateObject3(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configH5 = {
    defaults: {
        size: 'h5'
    },
    variations: {
        size: {
            h5: css(_templateObject4(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
